# TMUX

## Установка

### tmux

```bash
apt-get install tmux
```

### TPM (Tmux Plugin Manager)

<https://github.com/tmux-plugins/tpm>

```bash
git clone https://github.com/tmux-plugins/tpm ~/.tmux/plugins/tpm
```

добавить в конфиг `~/.tmux.conf`

```bash
# List of plugins
set -g @plugin 'tmux-plugins/tpm'
set -g @plugin 'tmux-plugins/tmux-sensible'

# Other examples:
# set -g @plugin 'github_username/plugin_name'
# set -g @plugin 'github_username/plugin_name#branch'
# set -g @plugin 'git@github.com:user/plugin'
# set -g @plugin 'git@bitbucket.com:user/plugin'

# Initialize TMUX plugin manager (keep this line at the very bottom of tmux.conf)
run '~/.tmux/plugins/tpm/tpm'
```

### Dracula Theme

<https://draculatheme.com/tmux>


***Конфиг*** *(пользовательский / системный)*
```bash
~/.tmux.conf
/etc/tmux.conf
```

***Включить поддержку мыши*** *(в конфиг добавить)*
```bash
set -g mouse on
```

***Запуск*** *(без параметров будет создана сессия `0`)*
```bash
tmux
```
новая сессия `session1`. Название отображается снизу-слева в квадратных скобках в статус строке. Далее идет перечисление окон. Текущее окно помечается звездочкой.
```bash
tmux new -s session1
```

***Окна***  
`Ctrl+b с` - новое окно  
`Ctrl+b w` - список окон. переключиться курсором вверх-вниз  
`Ctrl+b &` - закрыть окно, нужно подтвердить `y`  
`Ctrl+b {` - переместить активное окно влево по кругу

***Переключение***  
`Ctrl+b n` - следующее окно  
`Ctrl+b p` - предыдущее окно  
`Ctrl+b 0` - переключиться на номер окна

***Деление окна***  
`Ctrl+b "` - деление окна горизонтально или `tmux split-window -h`  
`Ctrl+b %` - деление окна вертикально или `tmux split-window -v`  
`Ctrl+b стрелки` - переход между панелей, либо режим мыши  
`Ctrl+b+стрелки` - изменение размеров панелей или `Ctrl+b Ctrl+стрелки`. Или мышью - потянуть за край панели.  
`Ctrl+b z` - zoom, выделить окно, повторное нажатие вернёт обратно
`Ctrl+b space` - смена разделения на предопределённые расположения
`Ctrl+d` - закрыть текущее окно
`Ctrl+b x` - закрытие окон, нужно подтвердить `y` или `exit`

***Сессии***  
`Ctrl+b d` - отключение от сессии или `tmux detach`  
`tmux ls` - список сессий

*Подключиться к работающей сессии*  
`tmux attach` - подключение к сессии, либо к единственной, либо последней созданной  
`tmux attach -t session1` - подключение к сессии session1  
`Ctrl+b s` - выбрать сессию  
`tmux kill-session -t session1` - завершение сессии  
`tmux kill-server` - завершить все сессии

***

`tmux list-commands` - cписок поддерживаемых команд
